# frozen_string_literal: true

require_relative 'lib/tokenable/version'

Gem::Specification.new do |spec|
  spec.name          = 'tokenable-ruby'
  spec.version       = Tokenable::VERSION
  spec.authors       = ['Marc Qualie', 'Scott Robertson']
  spec.email         = ['marc@marcqualie.com', 'scott@scottrobertson.me']

  spec.summary       = "JWT authentication for Rails API's"
  spec.homepage      = 'https://github.com/tokenable/tokenable-ruby'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.5')

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/tokenable/tokenable-ruby'
  spec.metadata['changelog_uri'] = 'https://github.com/tokenable/tokenable-ruby/releases'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end

  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'jwt', '~> 2.2', '< 3'
  spec.add_dependency 'rails', '~> 6.0', '< 6.2'
end
